-- UniqueKey.vhd
LIBRARY IEEE;
USE ieee.std_logic_1164.all;

ENTITY  UniqueKey IS
    PORT ( 
           Clk        :IN STD_LOGIC;
           Aclr       :IN STD_LOGIC;
           Output     :OUT std_logic_vector(31 DOWNTO 0));

END UniqueKey;

ARCHITECTURE Behavior OF UniqueKey IS

    COMPONENT eeprom 
        PORT (data : OUT std_logic_vector(31 DOWNTO 0));
    END COMPONENT;

SIGNAL reg_data : std_logic_vector(31 DOWNTO 0);
SIGNAL output_data : std_logic_vector(31 DOWNTO 0);

BEGIN

    DECRYPT_ONE: eeprom PORT MAP(data => reg_data);

    PROCESS(Clk, Aclr)
    BEGIN
        IF Aclr = '1' THEN
            Output_data <= (OTHERS => '0');
        ELSIF Clk'EVENT AND Clk = '1' THEN
            output_data <= reg_data; 
        END IF;
    END PROCESS;
	Output <= output_data;
END Behavior;

