-- Version: 6.2 6.2.50.1

library ieee;
use ieee.std_logic_1164.all;
library APA;

entity eeprom is

    port(reg_data : out std_logic_vector(31 downto 0));

end eeprom;

architecture DEF_ARCH of eeprom is 

  component BFR
    port(A : in std_logic := 'U'; Y : out std_logic);
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component PWR
    port(Y : out std_logic);
  end component;

    signal \GND\, \VCC\ : std_logic;

begin 


    b4 : BFR
      port map(A => \GND\, Y => reg_data(4));
    
    b25 : BFR
      port map(A => \GND\, Y => reg_data(25));
    
    b17 : BFR
      port map(A => \GND\, Y => reg_data(17));
    
    b20 : BFR
      port map(A => \GND\, Y => reg_data(20));
    
    b9 : BFR
      port map(A => \GND\, Y => reg_data(9));
    
    b8 : BFR
      port map(A => \GND\, Y => reg_data(8));
    
    b31 : BFR
      port map(A => \GND\, Y => reg_data(31));
    
    b12 : BFR
      port map(A => \GND\, Y => reg_data(12));
    
    b2 : BFR
      port map(A => \GND\, Y => reg_data(2));
    
    b19 : BFR
      port map(A => \GND\, Y => reg_data(19));
    
    b11 : BFR
      port map(A => \GND\, Y => reg_data(11));
    
    b18 : BFR
      port map(A => \GND\, Y => reg_data(18));
    
    b27 : BFR
      port map(A => \GND\, Y => reg_data(27));
    
    b14 : BFR
      port map(A => \GND\, Y => reg_data(14));
    
    b13 : BFR
      port map(A => \GND\, Y => reg_data(13));
    
    GND_i : GND
      port map(Y => \GND\);
    
    b6 : BFR
      port map(A => \GND\, Y => reg_data(6));
    
    b16 : BFR
      port map(A => \GND\, Y => reg_data(16));
    
    b7 : BFR
      port map(A => \GND\, Y => reg_data(7));
    
    b0 : BFR
      port map(A => \GND\, Y => reg_data(0));
    
    b30 : BFR
      port map(A => \GND\, Y => reg_data(30));
    
    b22 : BFR
      port map(A => \GND\, Y => reg_data(22));
    
    b15 : BFR
      port map(A => \GND\, Y => reg_data(15));
    
    PWR_i : PWR
      port map(Y => \VCC\);
    
    b29 : BFR
      port map(A => \GND\, Y => reg_data(29));
    
    b5 : BFR
      port map(A => \GND\, Y => reg_data(5));
    
    b3 : BFR
      port map(A => \GND\, Y => reg_data(3));
    
    b21 : BFR
      port map(A => \GND\, Y => reg_data(21));
    
    b10 : BFR
      port map(A => \GND\, Y => reg_data(10));
    
    b28 : BFR
      port map(A => \GND\, Y => reg_data(28));
    
    b24 : BFR
      port map(A => \GND\, Y => reg_data(24));
    
    b1 : BFR
      port map(A => \GND\, Y => reg_data(1));
    
    b23 : BFR
      port map(A => \GND\, Y => reg_data(23));
    
    b26 : BFR
      port map(A => \GND\, Y => reg_data(26));
    

end DEF_ARCH; 

library ieee;
use ieee.std_logic_1164.all;
library APA;

entity UniqueKey is

    port(Output : out std_logic_vector(31 downto 0); Clk, Aclr : 
        in std_logic);

end UniqueKey;

architecture DEF_ARCH of UniqueKey is 

  component DFFC
    port(CLK, D, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component OB33PH
    port(PAD : out std_logic; A : in std_logic := 'U');
  end component;

  component GL33
    port(PAD : in std_logic := 'U'; GL : out std_logic);
  end component;

  component eeprom
    port(reg_data : out std_logic_vector(31 downto 0));
  end component;

  component GND
    port(Y : out std_logic);
  end component;

  component PWR
    port(Y : out std_logic);
  end component;

    signal Aclr_c, Clk_c, \output_data_c[0]\, \reg_data[0]\, 
        \output_data_c[1]\, \reg_data[1]\, \output_data_c[2]\, 
        \reg_data[2]\, \output_data_c[3]\, \reg_data[3]\, 
        \output_data_c[4]\, \reg_data[4]\, \output_data_c[5]\, 
        \reg_data[5]\, \output_data_c[6]\, \reg_data[6]\, 
        \output_data_c[7]\, \reg_data[7]\, \output_data_c[8]\, 
        \reg_data[8]\, \output_data_c[9]\, \reg_data[9]\, 
        \output_data_c[10]\, \reg_data[10]\, \output_data_c[11]\, 
        \reg_data[11]\, \output_data_c[12]\, \reg_data[12]\, 
        \output_data_c[13]\, \reg_data[13]\, \output_data_c[14]\, 
        \reg_data[14]\, \output_data_c[15]\, \reg_data[15]\, 
        \output_data_c[16]\, \reg_data[16]\, \output_data_c[17]\, 
        \reg_data[17]\, \output_data_c[18]\, \reg_data[18]\, 
        \output_data_c[19]\, \reg_data[19]\, \output_data_c[20]\, 
        \reg_data[20]\, \output_data_c[21]\, \reg_data[21]\, 
        \output_data_c[22]\, \reg_data[22]\, \output_data_c[23]\, 
        \reg_data[23]\, \output_data_c[24]\, \reg_data[24]\, 
        \output_data_c[25]\, \reg_data[25]\, \output_data_c[26]\, 
        \reg_data[26]\, \output_data_c[27]\, \reg_data[27]\, 
        \output_data_c[28]\, \reg_data[28]\, \output_data_c[29]\, 
        \reg_data[29]\, \output_data_c[30]\, \reg_data[30]\, 
        \output_data_c[31]\, \reg_data[31]\, \VCC\, \GND\
         : std_logic;

    for all : eeprom
	Use entity work.eeprom(DEF_ARCH);
begin 


    \output_data[1]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[1]\, CLR => Aclr_c, Q
         => \output_data_c[1]\);
    
    \Output_pad[24]\ : OB33PH
      port map(PAD => Output(24), A => \output_data_c[24]\);
    
    \output_data[28]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[28]\, CLR => Aclr_c, 
        Q => \output_data_c[28]\);
    
    \Output_pad[27]\ : OB33PH
      port map(PAD => Output(27), A => \output_data_c[27]\);
    
    \output_data[13]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[13]\, CLR => Aclr_c, 
        Q => \output_data_c[13]\);
    
    \output_data[21]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[21]\, CLR => Aclr_c, 
        Q => \output_data_c[21]\);
    
    \output_data[26]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[26]\, CLR => Aclr_c, 
        Q => \output_data_c[26]\);
    
    \output_data[14]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[14]\, CLR => Aclr_c, 
        Q => \output_data_c[14]\);
    
    \Output_pad[13]\ : OB33PH
      port map(PAD => Output(13), A => \output_data_c[13]\);
    
    \Output_pad[30]\ : OB33PH
      port map(PAD => Output(30), A => \output_data_c[30]\);
    
    \output_data[6]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[6]\, CLR => Aclr_c, Q
         => \output_data_c[6]\);
    
    \output_data[0]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[0]\, CLR => Aclr_c, Q
         => \output_data_c[0]\);
    
    \Output_pad[10]\ : OB33PH
      port map(PAD => Output(10), A => \output_data_c[10]\);
    
    \output_data[7]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[7]\, CLR => Aclr_c, Q
         => \output_data_c[7]\);
    
    \Output_pad[8]\ : OB33PH
      port map(PAD => Output(8), A => \output_data_c[8]\);
    
    \Output_pad[22]\ : OB33PH
      port map(PAD => Output(22), A => \output_data_c[22]\);
    
    \output_data[5]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[5]\, CLR => Aclr_c, Q
         => \output_data_c[5]\);
    
    \output_data[12]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[12]\, CLR => Aclr_c, 
        Q => \output_data_c[12]\);
    
    Aclr_pad : GL33
      port map(PAD => Aclr, GL => Aclr_c);
    
    \Output_pad[19]\ : OB33PH
      port map(PAD => Output(19), A => \output_data_c[19]\);
    
    \Output_pad[21]\ : OB33PH
      port map(PAD => Output(21), A => \output_data_c[21]\);
    
    \output_data[25]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[25]\, CLR => Aclr_c, 
        Q => \output_data_c[25]\);
    
    \Output_pad[15]\ : OB33PH
      port map(PAD => Output(15), A => \output_data_c[15]\);
    
    \Output_pad[0]\ : OB33PH
      port map(PAD => Output(0), A => \output_data_c[0]\);
    
    \output_data[17]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[17]\, CLR => Aclr_c, 
        Q => \output_data_c[17]\);
    
    \Output_pad[7]\ : OB33PH
      port map(PAD => Output(7), A => \output_data_c[7]\);
    
    \Output_pad[23]\ : OB33PH
      port map(PAD => Output(23), A => \output_data_c[23]\);
    
    \output_data[19]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[19]\, CLR => Aclr_c, 
        Q => \output_data_c[19]\);
    
    DECRYPT_ONE : eeprom
      port map(reg_data(31) => \reg_data[31]\, reg_data(30) => 
        \reg_data[30]\, reg_data(29) => \reg_data[29]\, 
        reg_data(28) => \reg_data[28]\, reg_data(27) => 
        \reg_data[27]\, reg_data(26) => \reg_data[26]\, 
        reg_data(25) => \reg_data[25]\, reg_data(24) => 
        \reg_data[24]\, reg_data(23) => \reg_data[23]\, 
        reg_data(22) => \reg_data[22]\, reg_data(21) => 
        \reg_data[21]\, reg_data(20) => \reg_data[20]\, 
        reg_data(19) => \reg_data[19]\, reg_data(18) => 
        \reg_data[18]\, reg_data(17) => \reg_data[17]\, 
        reg_data(16) => \reg_data[16]\, reg_data(15) => 
        \reg_data[15]\, reg_data(14) => \reg_data[14]\, 
        reg_data(13) => \reg_data[13]\, reg_data(12) => 
        \reg_data[12]\, reg_data(11) => \reg_data[11]\, 
        reg_data(10) => \reg_data[10]\, reg_data(9) => 
        \reg_data[9]\, reg_data(8) => \reg_data[8]\, reg_data(7)
         => \reg_data[7]\, reg_data(6) => \reg_data[6]\, 
        reg_data(5) => \reg_data[5]\, reg_data(4) => 
        \reg_data[4]\, reg_data(3) => \reg_data[3]\, reg_data(2)
         => \reg_data[2]\, reg_data(1) => \reg_data[1]\, 
        reg_data(0) => \reg_data[0]\);
    
    \Output_pad[5]\ : OB33PH
      port map(PAD => Output(5), A => \output_data_c[5]\);
    
    \Output_pad[2]\ : OB33PH
      port map(PAD => Output(2), A => \output_data_c[2]\);
    
    \Output_pad[20]\ : OB33PH
      port map(PAD => Output(20), A => \output_data_c[20]\);
    
    \Output_pad[16]\ : OB33PH
      port map(PAD => Output(16), A => \output_data_c[16]\);
    
    \output_data[30]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[30]\, CLR => Aclr_c, 
        Q => \output_data_c[30]\);
    
    \output_data[3]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[3]\, CLR => Aclr_c, Q
         => \output_data_c[3]\);
    
    \output_data[2]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[2]\, CLR => Aclr_c, Q
         => \output_data_c[2]\);
    
    \Output_pad[4]\ : OB33PH
      port map(PAD => Output(4), A => \output_data_c[4]\);
    
    \output_data[10]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[10]\, CLR => Aclr_c, 
        Q => \output_data_c[10]\);
    
    \output_data[4]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[4]\, CLR => Aclr_c, Q
         => \output_data_c[4]\);
    
    \output_data[23]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[23]\, CLR => Aclr_c, 
        Q => \output_data_c[23]\);
    
    GND_i : GND
      port map(Y => \GND\);
    
    \output_data[31]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[31]\, CLR => Aclr_c, 
        Q => \output_data_c[31]\);
    
    \output_data[18]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[18]\, CLR => Aclr_c, 
        Q => \output_data_c[18]\);
    
    \Output_pad[18]\ : OB33PH
      port map(PAD => Output(18), A => \output_data_c[18]\);
    
    \output_data[24]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[24]\, CLR => Aclr_c, 
        Q => \output_data_c[24]\);
    
    \Output_pad[29]\ : OB33PH
      port map(PAD => Output(29), A => \output_data_c[29]\);
    
    \output_data[8]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[8]\, CLR => Aclr_c, Q
         => \output_data_c[8]\);
    
    \output_data[11]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[11]\, CLR => Aclr_c, 
        Q => \output_data_c[11]\);
    
    \output_data[16]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[16]\, CLR => Aclr_c, 
        Q => \output_data_c[16]\);
    
    \Output_pad[1]\ : OB33PH
      port map(PAD => Output(1), A => \output_data_c[1]\);
    
    \Output_pad[25]\ : OB33PH
      port map(PAD => Output(25), A => \output_data_c[25]\);
    
    PWR_i : PWR
      port map(Y => \VCC\);
    
    \Output_pad[3]\ : OB33PH
      port map(PAD => Output(3), A => \output_data_c[3]\);
    
    \Output_pad[14]\ : OB33PH
      port map(PAD => Output(14), A => \output_data_c[14]\);
    
    \Output_pad[17]\ : OB33PH
      port map(PAD => Output(17), A => \output_data_c[17]\);
    
    \output_data[22]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[22]\, CLR => Aclr_c, 
        Q => \output_data_c[22]\);
    
    \Output_pad[6]\ : OB33PH
      port map(PAD => Output(6), A => \output_data_c[6]\);
    
    \Output_pad[26]\ : OB33PH
      port map(PAD => Output(26), A => \output_data_c[26]\);
    
    \Output_pad[9]\ : OB33PH
      port map(PAD => Output(9), A => \output_data_c[9]\);
    
    \output_data[27]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[27]\, CLR => Aclr_c, 
        Q => \output_data_c[27]\);
    
    \output_data[15]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[15]\, CLR => Aclr_c, 
        Q => \output_data_c[15]\);
    
    \Output_pad[28]\ : OB33PH
      port map(PAD => Output(28), A => \output_data_c[28]\);
    
    \output_data[29]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[29]\, CLR => Aclr_c, 
        Q => \output_data_c[29]\);
    
    \output_data[9]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[9]\, CLR => Aclr_c, Q
         => \output_data_c[9]\);
    
    \Output_pad[12]\ : OB33PH
      port map(PAD => Output(12), A => \output_data_c[12]\);
    
    \Output_pad[31]\ : OB33PH
      port map(PAD => Output(31), A => \output_data_c[31]\);
    
    \Output_pad[11]\ : OB33PH
      port map(PAD => Output(11), A => \output_data_c[11]\);
    
    \output_data[20]\ : DFFC
      port map(CLK => Clk_c, D => \reg_data[20]\, CLR => Aclr_c, 
        Q => \output_data_c[20]\);
    
    Clk_pad : GL33
      port map(PAD => Clk, GL => Clk_c);
    

end DEF_ARCH; 
